## NautilusModule NautilusModule — Initialize an extension |

## Functions

void | nautilus_module_initialize ()
void | nautilus_module_shutdown ()
void | nautilus_module_list_types ()

## Includes

    #include <libnautilus-extension/nautilus-extension-types.h>

## Description

Methods that each extension implements.

## Functions

### nautilus_module_initialize ()

    void
    nautilus_module_initialize (GTypeModule *module);

### nautilus_module_shutdown ()

    void
    nautilus_module_shutdown (void);

### nautilus_module_list_types ()

    void
    nautilus_module_list_types (const GType **types,
                                int *num_types);

## Types and Values